# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.authn.oauthproxy
Interface OAuthProxyProtocol.Header

Enclosing class:
  OAuthProxyProtocol

    public static interface OAuthProxyProtocol.Header

Defines header keys used by the OAuth Proxy.

Field Summary
`static java.lang.String` `X_OAUTH_ACCESS_TOKEN_URL`
`static java.lang.String` `X_OAUTH_APPROVAL_URL`
`static java.lang.String` `X_OAUTH_AUTHORIZATION_URL`
`static java.lang.String` `X_OAUTH_DESIRED_CALLBACK_URL`
`static java.lang.String` `X_OAUTH_ERROR`
`static java.lang.String` `X_OAUTH_ERROR_TEXT`
`static java.lang.String` `X_OAUTH_RECEIVED_CALLBACK_URL`
`static java.lang.String` `X_OAUTH_REQUEST_TOKEN_URL`
`static java.lang.String` `X_OAUTH_SERVICE_NAME`
`static java.lang.String` `X_OAUTH_STATE`
`static java.lang.String` `X_OAUTH_TOKEN_NAME`
`static java.lang.String` `X_OAUTH_USE_TOKEN`

Field Detail

### X_OAUTH_APPROVAL_URL

    static final java.lang.String X_OAUTH_APPROVAL_URL

See Also:
  Constant Field Values

### X_OAUTH_ACCESS_TOKEN_URL

    static final java.lang.String X_OAUTH_ACCESS_TOKEN_URL

See Also:
  Constant Field Values

### X_OAUTH_AUTHORIZATION_URL

    static final java.lang.String X_OAUTH_AUTHORIZATION_URL

See Also:
  Constant Field Values

### X_OAUTH_DESIRED_CALLBACK_URL

    static final java.lang.String X_OAUTH_DESIRED_CALLBACK_URL

See Also:
  Constant Field Values

### X_OAUTH_ERROR

    static final java.lang.String X_OAUTH_ERROR

See Also:
  Constant Field Values

### X_OAUTH_ERROR_TEXT

    static final java.lang.String X_OAUTH_ERROR_TEXT

See Also:
  Constant Field Values

### X_OAUTH_RECEIVED_CALLBACK_URL

    static final java.lang.String X_OAUTH_RECEIVED_CALLBACK_URL

See Also:
  Constant Field Values

### X_OAUTH_REQUEST_TOKEN_URL

    static final java.lang.String X_OAUTH_REQUEST_TOKEN_URL

See Also:
  Constant Field Values

### X_OAUTH_SERVICE_NAME

    static final java.lang.String X_OAUTH_SERVICE_NAME

See Also:
  Constant Field Values

### X_OAUTH_STATE

    static final java.lang.String X_OAUTH_STATE

See Also:
  Constant Field Values

### X_OAUTH_TOKEN_NAME

    static final java.lang.String X_OAUTH_TOKEN_NAME

See Also:
  Constant Field Values

### X_OAUTH_USE_TOKEN

    static final java.lang.String X_OAUTH_USE_TOKEN

See Also:
  Constant Field Values